Page MenuHomePhabricator

If logged out, editing lede section with an infobox takes you to the infobox, not the first paragraph
Closed, ResolvedPublic

Description

T225936 makes it so that when a logged in contributor taps to "edit" an article that contains an infobox in its lede section, they are taken directly to the first paragraph of text.

As noted in T225936#5407020, the fix in T225936 only applies to logged in contributors. Read: logged out contributors are shown the infobox when tapping "edit."

This video demonstrates the issue: https://youtu.be/8pYcWMbJciU

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterVE: Scroll past infobox after showing anon editor warning

Event Timeline

ppelberg created this task.Sep 3 2019, 2:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2019, 2:04 AM
ppelberg added subscribers: Esanders, matmarex.

@matmarex I note that the scrolling doesn't work for logged out users (I assume due to the login overlay we show).

Change 534675 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] VE: Scroll past infobox after showing anon editor warning

https://gerrit.wikimedia.org/r/534675

Change 534675 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] VE: Scroll past infobox after showing anon editor warning

https://gerrit.wikimedia.org/r/534675

matmarex added a project: Editing QA.
matmarex moved this task from Inbox to Low Priority on the Editing QA board.Sep 9 2019, 10:57 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Sep 10 2019, 7:20 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Oct 9 2019, 1:09 AM
ppelberg claimed this task.